It's all about the answers!

Ask a question

Missing org.eclipse.pde.build folder in RTC 6.0.2 client based on 4.2.x Eclipse


Gidi Gal (961734) | asked Aug 14 '16, 5:24 a.m.
edited Aug 14 '16, 8:28 a.m.
Hello to the forum members,

I installed RTC 6.0.2 client, based on Eclipse 4.2.x. I cannot find the folder "org.eclipse.pde.build_*" in the installation. As far as I know , this folder is required for running Ant builds from Eclipse. Is this a bug ?

A quick update - same goes for 6.0.3 M4 in "Client for Eclipse 4.2.x IDE". No "org.eclipse.pde.build_*" folder.

I tried to copy the org.eclipse.pde.build_* from Eclipse 4.2.2 installation and managed to build. However, I got some errors:
generateScript:
[eclipse.buildScript] Some inter-plug-in dependencies have not been satisfied.
[eclipse.buildScript] Bundle org.eclipse.equinox.launcher.win32.win32.x86_64:
[eclipse.buildScript]   Another singleton version selected: org.eclipse.equinox.launcher.win32.win32.x86_64_1.1.200.v20120913-144807
[eclipse.buildScript] Bundle org.eclipse.equinox.launcher:
[eclipse.buildScript]   Another singleton version selected: org.eclipse.equinox.launcher_1.3.0.v20120522-1813
[eclipse.buildScript] Bundle org.eclipse.pde.build:
[eclipse.buildScript]   Another singleton version selected: org.eclipse.pde.build_3.8.2.v20121114-140810


Thanks,
Gidi

One answer



permanent link
Ralph Schoon (58.2k23642) | answered Aug 15 '16, 8:21 a.m.
FORUM ADMINISTRATOR / FORUM MODERATOR / JAZZ DEVELOPER
Gidi,

if you installed the IM repository, please be aware that it also stores some information in the shared folder. Please make sure to look if that plugin is maybe there. The information above kind of smells like the plugin is actually installed.

Your answer


Register or to post your answer.